Uploaded image for project: 'Jenkins'
  1. Jenkins
  2. JENKINS-16886

500 Error when type the git url during creating new job

    Details

    • Type: Bug
    • Status: Closed (View Workflow)
    • Priority: Blocker
    • Resolution: Fixed
    • Component/s: git-plugin
    • Labels:
    • Environment:
    • Similar Issues:

      Description

      When type the git url (git://github.com/jeffrey4l/python-demo.git) in the text, it raise exception like below

      	
      Status Code: 500
      
      Exception: java.lang.IllegalAccessError: tried to access method org.jenkinsci.plugins.gitclient.CliGitAPIImpl.<init>(Ljava/lang/String;Ljava/io/File;Lhudson/model/TaskListener;Lhudson/EnvVars;)V from class hudson.plugins.git.UserRemoteConfig$DescriptorImpl
      Stacktrace:
      javax.servlet.ServletException: java.lang.IllegalAccessError: tried to access method org.jenkinsci.plugins.gitclient.CliGitAPIImpl.<init>(Ljava/lang/String;Ljava/io/File;Lhudson/model/TaskListener;Lhudson/EnvVars;)V from class hudson.plugins.git.UserRemoteConfig$DescriptorImpl
      	at org.kohsuke.stapler.Stapler.tryInvoke(Stapler.java:615)
      	at org.kohsuke.stapler.Stapler.invoke(Stapler.java:658)
      	at org.kohsuke.stapler.MetaClass$6.doDispatch(MetaClass.java:241)
      	at org.kohsuke.stapler.NameBasedDispatcher.dispatch(NameBasedDispatcher.java:53)
      	at org.kohsuke.stapler.Stapler.tryInvoke(Stapler.java:573)
      	at org.kohsuke.stapler.Stapler.invoke(Stapler.java:658)
      	at org.kohsuke.stapler.MetaClass$6.doDispatch(MetaClass.java:241)
      	at org.kohsuke.stapler.NameBasedDispatcher.dispatch(NameBasedDispatcher.java:53)
      	at org.kohsuke.stapler.Stapler.tryInvoke(Stapler.java:573)
      	at org.kohsuke.stapler.Stapler.invoke(Stapler.java:658)
      	at org.kohsuke.stapler.Stapler.invoke(Stapler.java:487)
      	at org.kohsuke.stapler.Stapler.service(Stapler.java:164)
      	at javax.servlet.http.HttpServlet.service(HttpServlet.java:45)
      	at winstone.ServletConfiguration.execute(ServletConfiguration.java:248)
      	at winstone.RequestDispatcher.forward(RequestDispatcher.java:333)
      	at winstone.RequestDispatcher.doFilter(RequestDispatcher.java:376)
      	at hudson.util.PluginServletFilter$1.doFilter(PluginServletFilter.java:95)
      	at hudson.util.PluginServletFilter.doFilter(PluginServletFilter.java:87)
      	at winstone.FilterConfiguration.execute(FilterConfiguration.java:194)
      	at winstone.RequestDispatcher.doFilter(RequestDispatcher.java:366)
      	at hudson.security.csrf.CrumbFilter.doFilter(CrumbFilter.java:47)
      	at winstone.FilterConfiguration.execute(FilterConfiguration.java:194)
      	at winstone.RequestDispatcher.doFilter(RequestDispatcher.java:366)
      	at hudson.security.ChainedServletFilter$1.doFilter(ChainedServletFilter.java:84)
      	at hudson.security.ChainedServletFilter.doFilter(ChainedServletFilter.java:76)
      	at hudson.security.HudsonFilter.doFilter(HudsonFilter.java:164)
      	at winstone.FilterConfiguration.execute(FilterConfiguration.java:194)
      	at winstone.RequestDispatcher.doFilter(RequestDispatcher.java:366)
      	at org.kohsuke.stapler.compression.CompressionFilter.doFilter(CompressionFilter.java:50)
      	at winstone.FilterConfiguration.execute(FilterConfiguration.java:194)
      	at winstone.RequestDispatcher.doFilter(RequestDispatcher.java:366)
      	at hudson.util.CharacterEncodingFilter.doFilter(CharacterEncodingFilter.java:81)
      	at winstone.FilterConfiguration.execute(FilterConfiguration.java:194)
      	at winstone.RequestDispatcher.doFilter(RequestDispatcher.java:366)
      	at winstone.RequestDispatcher.forward(RequestDispatcher.java:331)
      	at winstone.RequestHandlerThread.processRequest(RequestHandlerThread.java:227)
      	at winstone.RequestHandlerThread.run(RequestHandlerThread.java:150)
      	at java.util.concurrent.Executors$RunnableAdapter.call(Executors.java:471)
      	at java.util.concurrent.FutureTask$Sync.innerRun(FutureTask.java:334)
      	at java.util.concurrent.FutureTask.run(FutureTask.java:166)
      	at winstone.BoundedExecutorService$1.run(BoundedExecutorService.java:77)
      	at java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1146)
      	at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:615)
      	at java.lang.Thread.run(Thread.java:679)
      Caused by: java.lang.IllegalAccessError: tried to access method org.jenkinsci.plugins.gitclient.CliGitAPIImpl.<init>(Ljava/lang/String;Ljava/io/File;Lhudson/model/TaskListener;Lhudson/EnvVars;)V from class hudson.plugins.git.UserRemoteConfig$DescriptorImpl
      	at hudson.plugins.git.UserRemoteConfig$DescriptorImpl.doCheckUrl(UserRemoteConfig.java:76)
      	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
      	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:57)
      	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)
      	at java.lang.reflect.Method.invoke(Method.java:616)
      	at org.kohsuke.stapler.Function$InstanceFunction.invoke(Function.java:288)
      	at org.kohsuke.stapler.Function.bindAndInvoke(Function.java:151)
      	at org.kohsuke.stapler.Function.bindAndInvokeAndServeResponse(Function.java:90)
      	at org.kohsuke.stapler.MetaClass$1.doDispatch(MetaClass.java:111)
      	at org.kohsuke.stapler.NameBasedDispatcher.dispatch(NameBasedDispatcher.java:53)
      	at org.kohsuke.stapler.Stapler.tryInvoke(Stapler.java:573)
      	... 43 more
      
      

        Attachments

          Issue Links

            Activity

            jeffrey4l Lei Zhang created issue -
            Hide
            dali Daniel Lindner added a comment -

            I experience a similar exception when trying to run a build on an existing job. This is for version 1.1.29 - everything worked with the previously installed version 1.1.26

            FATAL: tried to access method org.jenkinsci.plugins.gitclient.CliGitAPIImpl.<init>(Ljava/lang/String;Ljava/io/File;Lhudson/model/TaskListener;Lhudson/EnvVars;)V from class hudson.plugins.git.GitSCM$2
            java.lang.IllegalAccessError: tried to access method org.jenkinsci.plugins.gitclient.CliGitAPIImpl.<init>(Ljava/lang/String;Ljava/io/File;Lhudson/model/TaskListener;Lhudson/EnvVars;)V from class hudson.plugins.git.GitSCM$2
            at hudson.plugins.git.GitSCM$2.invoke(GitSCM.java:940)
            at hudson.plugins.git.GitSCM$2.invoke(GitSCM.java:932)
            at hudson.FilePath.act(FilePath.java:865)
            [...]

            My guess would be that the new git-client plugin is responsible for this behaviour.

            Show
            dali Daniel Lindner added a comment - I experience a similar exception when trying to run a build on an existing job. This is for version 1.1.29 - everything worked with the previously installed version 1.1.26 FATAL: tried to access method org.jenkinsci.plugins.gitclient.CliGitAPIImpl.<init>(Ljava/lang/String;Ljava/io/File;Lhudson/model/TaskListener;Lhudson/EnvVars;)V from class hudson.plugins.git.GitSCM$2 java.lang.IllegalAccessError: tried to access method org.jenkinsci.plugins.gitclient.CliGitAPIImpl.<init>(Ljava/lang/String;Ljava/io/File;Lhudson/model/TaskListener;Lhudson/EnvVars;)V from class hudson.plugins.git.GitSCM$2 at hudson.plugins.git.GitSCM$2.invoke(GitSCM.java:940) at hudson.plugins.git.GitSCM$2.invoke(GitSCM.java:932) at hudson.FilePath.act(FilePath.java:865) [...] My guess would be that the new git-client plugin is responsible for this behaviour.
            Hide
            dali Daniel Lindner added a comment -

            Reverting back to git plugin version 1.1.26 did not help until I deleted the git-client plugin.

            Show
            dali Daniel Lindner added a comment - Reverting back to git plugin version 1.1.26 did not help until I deleted the git-client plugin.
            Hide
            jeffrey4l Lei Zhang added a comment -

            One Question: How can i revert to the old version? I din't have the Previously installed version

            Show
            jeffrey4l Lei Zhang added a comment - One Question: How can i revert to the old version? I din't have the Previously installed version
            Hide
            dali Daniel Lindner added a comment -

            I had to upload the specific hpi-File to Jenkins (in the Plugin Manager, Advanced Tab). Download your version here: http://updates.jenkins-ci.org/download/plugins/git/

            Show
            dali Daniel Lindner added a comment - I had to upload the specific hpi-File to Jenkins (in the Plugin Manager, Advanced Tab). Download your version here: http://updates.jenkins-ci.org/download/plugins/git/
            Hide
            dali Daniel Lindner added a comment -

            Another information: I just tried to combination of git plugin version 1.2.0 and git-client plugin version 1.0.2 - Everything seems to work fine at first glance.
            Perhaps this was a version incompatibility between 1.1.29 and 1.0.2?

            Show
            dali Daniel Lindner added a comment - Another information: I just tried to combination of git plugin version 1.2.0 and git-client plugin version 1.0.2 - Everything seems to work fine at first glance. Perhaps this was a version incompatibility between 1.1.29 and 1.0.2?
            Hide
            jeffrey4l Lei Zhang added a comment -

            I tested the 1.1.28 and 1.1.26. It raised another exception. When trying 1.2.0, it seems OK.

            Show
            jeffrey4l Lei Zhang added a comment - I tested the 1.1.28 and 1.1.26. It raised another exception. When trying 1.2.0, it seems OK.
            Hide
            robbit Robert Dahlström added a comment -

            Downgrading from 1.1.29 to 1.1.26 solved it for me.
            I have jenkins git client plugin 1.0.2 installed.

            Have not tried with the latest 1.2.0 release yet.

            Show
            robbit Robert Dahlström added a comment - Downgrading from 1.1.29 to 1.1.26 solved it for me. I have jenkins git client plugin 1.0.2 installed. Have not tried with the latest 1.2.0 release yet.
            Hide
            andrei_pozolotin Andrei Pozolotin added a comment -

            Downgrading
            https://wiki.jenkins-ci.org/display/JENKINS/Git+Plugin
            from 1.1.29 to 1.1.26 resolved it for me.

            Show
            andrei_pozolotin Andrei Pozolotin added a comment - Downgrading https://wiki.jenkins-ci.org/display/JENKINS/Git+Plugin from 1.1.29 to 1.1.26 resolved it for me.
            Hide
            stronk7 Eloy Lafuente added a comment -

            FYI I commented about a similar error @ JENKINS-16849 and it seems that the 1.2.0 + 1.0.2 combination is working ok here.

            Ciao

            Show
            stronk7 Eloy Lafuente added a comment - FYI I commented about a similar error @ JENKINS-16849 and it seems that the 1.2.0 + 1.0.2 combination is working ok here. Ciao
            stronk7 Eloy Lafuente made changes -
            Field Original Value New Value
            Link This issue is related to JENKINS-16849 [ JENKINS-16849 ]
            Hide
            ndeloof Nicolas De Loof added a comment -

            This has been fixed in 1.2.0

            Show
            ndeloof Nicolas De Loof added a comment - This has been fixed in 1.2.0
            ndeloof Nicolas De Loof made changes -
            Status Open [ 1 ] Resolved [ 5 ]
            Resolution Fixed [ 1 ]
            markewaite Mark Waite made changes -
            Status Resolved [ 5 ] Closed [ 6 ]
            rtyler R. Tyler Croy made changes -
            Workflow JNJira [ 147715 ] JNJira + In-Review [ 206423 ]

              People

              • Assignee:
                ndeloof Nicolas De Loof
                Reporter:
                jeffrey4l Lei Zhang
              • Votes:
                6 Vote for this issue
                Watchers:
                11 Start watching this issue

                Dates

                • Created:
                  Updated:
                  Resolved: